# List

Launch stage: Beta

`GET /api/2.1/knowledge-assistants`

List Knowledge Assistants

API scopes: knowledge-assistants

## Query parameters

- `page_size` (int32, optional)
  The maximum number of knowledge assistants to return.
   If unspecified, at most 100 knowledge assistants will be returned.
   The maximum value is 100; values above 100 will be coerced to 100.
  Constraints: `[ 1 .. 100 ]`
- `page_token` (string, optional)
  A page token, received from a previous `ListKnowledgeAssistants` call.
   Provide this to retrieve the subsequent page.
   If unspecified, the first page will be returned.

## Returns

Returns a list of KnowledgeAssistant objects.

## Response

```json
{
  "knowledge_assistants": [
    {
      "name": "string",
      "state": "string",
      "id": "string",
      "display_name": "string",
      "description": "string",
      "instructions": "string",
      "creator": "string",
      "create_time": "string",
      "endpoint_name": "string",
      "experiment_id": "string",
      "error_info": "string"
    }
  ],
  "next_page_token": "string"
}
```

